
//Arduino AnalogInOutSerial code modified by Peetu Virkkala 20.6.2018
#include <SoftwareSerial.h>
#define rxPin 8
#define txPin 3

const int analogInPin = 1;  // Analog input pin that the potentiometer is attached to

int sensorValue = 0;        // value read from the pot
int outputValue = 0;        // value output to the PWM (analog out)
int redPin = 7;
int greenPin = 5;
int bluePin = 1;

SoftwareSerial mySerial(rxPin,txPin); 
void setup() {
  // initialize serial communications at 9600 bps:
    mySerial.begin(9600);
    pinMode(redPin, OUTPUT);
    pinMode(greenPin, OUTPUT);
    pinMode(bluePin, OUTPUT);
}

void loop() {
  // read the analog in value:
  sensorValue = analogRead(analogInPin);
  // map it to the range of the analog out:
  outputValue = map(sensorValue, 0, 1023, 0, 5);
  // change the analog out value:
  //analogWrite(analogOutPin, outputValue);

if (outputValue > 2){
    setColor(255,0,0); //red
     }
     else{
     setColor(255,0,255); //blue
                           }
  // wait 2000 milliseconds before the next loop for the analog-to-digital
  // converter to settle after the last reading:
  delay(2000);
}


void setColor(int red, int green, int blue) {
//common anode
red = 255 - red;
green = 255 - green;
blue = 255 - blue;
 
analogWrite(redPin, red);
analogWrite(greenPin, green);
analogWrite(bluePin, blue);
}
