
//Arduino AnalogInOutSerial code modified by Peetu Virkkala 11.6.2018
#include <SoftwareSerial.h>
#define rxPin 8
#define txPin 3

const int analogInPin = 1;  // Analog input pin that the potentiometer is attached to

int sensorValue = 0;        // value read from the pot
int outputValue = 0;        // value output to the PWM (analog out)

SoftwareSerial mySerial(rxPin,txPin); 
void setup() {
  // initialize serial communications at 9600 bps:
    mySerial.begin(9600);
}

void loop() {
  // read the analog in value:
  sensorValue = analogRead(analogInPin);
  // map it to the range of the analog out:
  outputValue = map(sensorValue, 0, 1023, 0, 5);
  // change the analog out value:
  //analogWrite(analogOutPin, outputValue);

  // print the results to the Serial Monitor:
  mySerial.println("sensor = "); 
  mySerial.println(sensorValue); 
  mySerial.println("\t output = "); 
  mySerial.println(outputValue); 
  

  // wait 2000 milliseconds before the next loop for the analog-to-digital
  // converter to settle after the last reading:
  delay(2000);
}
